<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>proyectofinal documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="./images/favicon.ico">
	   <link rel="stylesheet" href="./styles/style.css">
        <link rel="stylesheet" href="./styles/dark.css">
    </head>
    <body>
          <script>
               // Blocking script to avoid flickering dark mode
               // Dark mode toggle button
               var useDark = window.matchMedia('(prefers-color-scheme: dark)');
               var darkModeState = useDark.matches;
               var $darkModeToggleSwitchers = document.querySelectorAll('.dark-mode-switch input');
               var $darkModeToggles = document.querySelectorAll('.dark-mode-switch');
               var darkModeStateLocal = localStorage.getItem('compodoc_darkmode-state');

               function checkToggle(check) {
                    for (var i = 0; i < $darkModeToggleSwitchers.length; i++) {
                         $darkModeToggleSwitchers[i].checked = check;
                    }
               }

               function toggleDarkMode(state) {
                    if (window.localStorage) {
                         localStorage.setItem('compodoc_darkmode-state', state);
                    }

                    checkToggle(state);

                    const hasClass = document.body.classList.contains('dark');

                    if (state) {
                         for (var i = 0; i < $darkModeToggles.length; i++) {
                              $darkModeToggles[i].classList.add('dark');
                         }
                         if (!hasClass) {
                              document.body.classList.add('dark');
                         }
                    } else {
                         for (var i = 0; i < $darkModeToggles.length; i++) {
                              $darkModeToggles[i].classList.remove('dark');
                         }
                         if (hasClass) {
                              document.body.classList.remove('dark');
                         }
                    }
               }

               useDark.addEventListener('change', function (evt) {
                    toggleDarkMode(evt.matches);
               });
               if (darkModeStateLocal) {
                    darkModeState = darkModeStateLocal === 'true';
               }
               toggleDarkMode(darkModeState);
          </script>

        <div class="navbar navbar-default navbar-fixed-top d-md-none p-0">
               <div class="d-flex">
                    <a href="./" class="navbar-brand">proyectofinal documentation</a>
                    <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
               </div>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="d-none d-md-block menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content overview">
                   <div class="content-data">


<ol class="breadcrumb">
    <li class="breadcrumb-item">Overview</li>
</ol>
  
<div class="text-center module-graph-container">
    <div id="module-graph-svg">
        <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.47.0 (20210316.0004)
 -->
<!-- Title: dependencies Pages: 1 -->
<svg width="2356pt" height="352pt"
 viewBox="0.00 0.00 2356.00 352.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 348)">
<title>dependencies</title>
<polygon fill="white" stroke="transparent" points="-4,4 -4,-348 2352,-348 2352,4 -4,4"/>
<text text-anchor="start" x="1153.01" y="-42.4" font-family="Times-12" font-weight="bold" font-size="14.00">Legend</text>
<polygon fill="#ffffb3" stroke="transparent" points="940,-10 940,-30 960,-30 960,-10 940,-10"/>
<text text-anchor="start" x="963.63" y="-15.4" font-family="Times-12" font-size="14.00"> &#160;Declarations</text>
<polygon fill="#8dd3c7" stroke="transparent" points="1053,-10 1053,-30 1073,-30 1073,-10 1053,-10"/>
<text text-anchor="start" x="1076.73" y="-15.4" font-family="Times-12" font-size="14.00"> &#160;Module</text>
<polygon fill="#80b1d3" stroke="transparent" points="1139,-10 1139,-30 1159,-30 1159,-10 1139,-10"/>
<text text-anchor="start" x="1162.78" y="-15.4" font-family="Times-12" font-size="14.00"> &#160;Bootstrap</text>
<polygon fill="#fdb462" stroke="transparent" points="1236,-10 1236,-30 1256,-30 1256,-10 1236,-10"/>
<text text-anchor="start" x="1259.67" y="-15.4" font-family="Times-12" font-size="14.00"> &#160;Providers</text>
<polygon fill="#fb8072" stroke="transparent" points="1332,-10 1332,-30 1352,-30 1352,-10 1332,-10"/>
<text text-anchor="start" x="1355.73" y="-15.4" font-family="Times-12" font-size="14.00"> &#160;Exports</text>
<g id="clust1" class="cluster">
<title>cluster_AppModule</title>
<polygon fill="none" stroke="black" stroke-dasharray="1,5" points="1932,-138 1932,-336 2340,-336 2340,-138 1932,-138"/>
</g>
<g id="clust2" class="cluster">
<title>cluster_AppModule_declarations</title>
<polygon fill="none" stroke="black" points="2210,-146 2210,-198 2332,-198 2332,-146 2210,-146"/>
</g>
<g id="clust4" class="cluster">
<title>cluster_AppModule_imports</title>
<polygon fill="none" stroke="black" points="1940,-146 1940,-198 2202,-198 2202,-146 1940,-146"/>
</g>
<g id="clust6" class="cluster">
<title>cluster_AppModule_bootstrap</title>
<polygon fill="none" stroke="black" points="2068,-276 2068,-328 2192,-328 2192,-276 2068,-276"/>
</g>
<g id="clust14" class="cluster">
<title>cluster_ProjectModule</title>
<polygon fill="none" stroke="black" stroke-dasharray="1,5" points="8,-70 8,-206 1924,-206 1924,-70 8,-70"/>
</g>
<g id="clust15" class="cluster">
<title>cluster_ProjectModule_declarations</title>
<polygon fill="none" stroke="black" points="912,-146 912,-198 1916,-198 1916,-146 912,-146"/>
</g>
<g id="clust19" class="cluster">
<title>cluster_ProjectModule_LoginvalidatorDirective_providers</title>
<polygon fill="none" stroke="black" points="16,-78 16,-130 700,-130 700,-78 16,-78"/>
</g>
<g id="clust24" class="cluster">
<title>cluster_ProjectModule_exports</title>
<polygon fill="none" stroke="black" points="886,-78 886,-130 1916,-130 1916,-78 886,-78"/>
</g>
<g id="clust26" class="cluster">
<title>cluster_ProjectModule_providers</title>
<polygon fill="none" stroke="black" points="708,-78 708,-130 878,-130 878,-78 708,-78"/>
</g>
<!-- AppComponent -->
<g id="node1" class="node">
<title>AppComponent</title>
<polygon fill="#ffffb3" stroke="black" points="2323.94,-190 2218.06,-190 2218.06,-154 2323.94,-154 2323.94,-190"/>
<text text-anchor="middle" x="2271" y="-167.8" font-family="Times,serif" font-size="14.00">AppComponent</text>
</g>
<!-- AppModule -->
<g id="node2" class="node">
<title>AppModule</title>
<polygon fill="#8dd3c7" stroke="black" points="2171.66,-255 2168.66,-259 2147.66,-259 2144.66,-255 2088.34,-255 2088.34,-219 2171.66,-219 2171.66,-255"/>
<text text-anchor="middle" x="2130" y="-232.8" font-family="Times,serif" font-size="14.00">AppModule</text>
</g>
<!-- AppComponent&#45;&gt;AppModule -->
<g id="edge1" class="edge">
<title>AppComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M2271,-190.11C2271,-209.34 2271,-237 2271,-237 2271,-237 2181.92,-237 2181.92,-237"/>
<polygon fill="black" stroke="black" points="2181.92,-233.5 2171.92,-237 2181.92,-240.5 2181.92,-233.5"/>
</g>
<!-- AppComponent  -->
<g id="node5" class="node">
<title>AppComponent </title>
<polygon fill="#80b1d3" stroke="black" points="2184.44,-320 2075.56,-320 2075.56,-284 2184.44,-284 2184.44,-320"/>
<text text-anchor="middle" x="2130" y="-297.8" font-family="Times,serif" font-size="14.00">AppComponent </text>
</g>
<!-- AppModule&#45;&gt;AppComponent  -->
<g id="edge4" class="edge">
<title>AppModule&#45;&gt;AppComponent </title>
<path fill="none" stroke="black" stroke-dasharray="1,5" d="M2130,-255.11C2130,-255.11 2130,-273.99 2130,-273.99"/>
<polygon fill="black" stroke="black" points="2126.5,-273.99 2130,-283.99 2133.5,-273.99 2126.5,-273.99"/>
</g>
<!-- AppRoutingModule -->
<g id="node3" class="node">
<title>AppRoutingModule</title>
<polygon fill="#8dd3c7" stroke="black" points="2194.27,-190 2191.27,-194 2170.27,-194 2167.27,-190 2065.73,-190 2065.73,-154 2194.27,-154 2194.27,-190"/>
<text text-anchor="middle" x="2130" y="-167.8" font-family="Times,serif" font-size="14.00">AppRoutingModule</text>
</g>
<!-- AppRoutingModule&#45;&gt;AppModule -->
<g id="edge2" class="edge">
<title>AppRoutingModule&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M2130,-190.11C2130,-190.11 2130,-208.99 2130,-208.99"/>
<polygon fill="black" stroke="black" points="2126.5,-208.99 2130,-218.99 2133.5,-208.99 2126.5,-208.99"/>
</g>
<!-- ProjectModule -->
<g id="node4" class="node">
<title>ProjectModule</title>
<polygon fill="#8dd3c7" stroke="black" points="2047.7,-190 2044.7,-194 2023.7,-194 2020.7,-190 1948.3,-190 1948.3,-154 2047.7,-154 2047.7,-190"/>
<text text-anchor="middle" x="1998" y="-167.8" font-family="Times,serif" font-size="14.00">ProjectModule</text>
</g>
<!-- ProjectModule&#45;&gt;AppModule -->
<g id="edge3" class="edge">
<title>ProjectModule&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M2022.8,-190.11C2022.8,-209.34 2022.8,-237 2022.8,-237 2022.8,-237 2078.25,-237 2078.25,-237"/>
<polygon fill="black" stroke="black" points="2078.25,-240.5 2088.25,-237 2078.25,-233.5 2078.25,-240.5"/>
</g>
<!-- GameComponent  -->
<g id="node14" class="node">
<title>GameComponent </title>
<polygon fill="#fb8072" stroke="black" points="1908.26,-122 1789.74,-122 1789.74,-86 1908.26,-86 1908.26,-122"/>
<text text-anchor="middle" x="1849" y="-99.8" font-family="Times,serif" font-size="14.00">GameComponent </text>
</g>
<!-- ProjectModule&#45;&gt;GameComponent  -->
<g id="edge13" class="edge">
<title>ProjectModule&#45;&gt;GameComponent </title>
<path fill="none" stroke="black" stroke-dasharray="5,2" d="M1994.18,-153.78C1994.18,-133.63 1994.18,-104 1994.18,-104 1994.18,-104 1918.47,-104 1918.47,-104"/>
<polygon fill="black" stroke="black" points="1918.47,-100.5 1908.47,-104 1918.47,-107.5 1918.47,-100.5"/>
</g>
<!-- HelpComponent  -->
<g id="node15" class="node">
<title>HelpComponent </title>
<polygon fill="#fb8072" stroke="black" points="1772.04,-122 1659.96,-122 1659.96,-86 1772.04,-86 1772.04,-122"/>
<text text-anchor="middle" x="1716" y="-99.8" font-family="Times,serif" font-size="14.00">HelpComponent </text>
</g>
<!-- ProjectModule&#45;&gt;HelpComponent  -->
<g id="edge14" class="edge">
<title>ProjectModule&#45;&gt;HelpComponent </title>
<path fill="none" stroke="black" stroke-dasharray="5,2" d="M2039.97,-153.96C2039.97,-140.71 2039.97,-125 2039.97,-125 2039.97,-125 1719.38,-125 1719.38,-125 1719.38,-125 1719.38,-124.71 1719.38,-124.71"/>
<polygon fill="black" stroke="black" points="1722.88,-132.08 1719.38,-122.08 1715.88,-132.08 1722.88,-132.08"/>
</g>
<!-- LoginComponent  -->
<g id="node16" class="node">
<title>LoginComponent </title>
<polygon fill="#fb8072" stroke="black" points="1642.28,-122 1523.72,-122 1523.72,-86 1642.28,-86 1642.28,-122"/>
<text text-anchor="middle" x="1583" y="-99.8" font-family="Times,serif" font-size="14.00">LoginComponent </text>
</g>
<!-- ProjectModule&#45;&gt;LoginComponent  -->
<g id="edge15" class="edge">
<title>ProjectModule&#45;&gt;LoginComponent </title>
<path fill="none" stroke="black" stroke-dasharray="5,2" d="M2032.34,-153.96C2032.34,-141.44 2032.34,-127 2032.34,-127 2032.34,-127 1587.88,-127 1587.88,-127 1587.88,-127 1587.88,-126.51 1587.88,-126.51"/>
<polygon fill="black" stroke="black" points="1591.38,-132.12 1587.88,-122.12 1584.38,-132.12 1591.38,-132.12"/>
</g>
<!-- LoginvalidatorDirective  -->
<g id="node17" class="node">
<title>LoginvalidatorDirective </title>
<polygon fill="#fb8072" stroke="black" points="1505.29,-122 1350.71,-122 1350.71,-86 1505.29,-86 1505.29,-122"/>
<text text-anchor="middle" x="1428" y="-99.8" font-family="Times,serif" font-size="14.00">LoginvalidatorDirective </text>
</g>
<!-- ProjectModule&#45;&gt;LoginvalidatorDirective  -->
<g id="edge16" class="edge">
<title>ProjectModule&#45;&gt;LoginvalidatorDirective </title>
<path fill="none" stroke="black" stroke-dasharray="5,2" d="M2024.71,-153.94C2024.71,-142.56 2024.71,-130 2024.71,-130 2024.71,-130 1458.38,-130 1458.38,-130 1458.38,-130 1458.38,-129.21 1458.38,-129.21"/>
<polygon fill="black" stroke="black" points="1461.88,-132.06 1458.38,-122.06 1454.88,-132.06 1461.88,-132.06"/>
</g>
<!-- RankingComponent  -->
<g id="node18" class="node">
<title>RankingComponent </title>
<polygon fill="#fb8072" stroke="black" points="1332.27,-122 1199.73,-122 1199.73,-86 1332.27,-86 1332.27,-122"/>
<text text-anchor="middle" x="1266" y="-99.8" font-family="Times,serif" font-size="14.00">RankingComponent </text>
</g>
<!-- ProjectModule&#45;&gt;RankingComponent  -->
<g id="edge17" class="edge">
<title>ProjectModule&#45;&gt;RankingComponent </title>
<path fill="none" stroke="black" stroke-dasharray="5,2" d="M2017.08,-153.87C2017.08,-143.29 2017.08,-132 2017.08,-132 2017.08,-132 1274.88,-132 1274.88,-132 1274.88,-132 1274.88,-131.02 1274.88,-131.02"/>
<polygon fill="black" stroke="black" points="1278.38,-132.21 1274.88,-122.21 1271.38,-132.21 1278.38,-132.21"/>
</g>
<!-- RegisterComponent  -->
<g id="node19" class="node">
<title>RegisterComponent </title>
<polygon fill="#fb8072" stroke="black" points="1181.99,-122 1050.01,-122 1050.01,-86 1181.99,-86 1181.99,-122"/>
<text text-anchor="middle" x="1116" y="-99.8" font-family="Times,serif" font-size="14.00">RegisterComponent </text>
</g>
<!-- ProjectModule&#45;&gt;RegisterComponent  -->
<g id="edge18" class="edge">
<title>ProjectModule&#45;&gt;RegisterComponent </title>
<path fill="none" stroke="black" stroke-dasharray="5,2" d="M2009.45,-153.93C2009.45,-144.54 2009.45,-135 2009.45,-135 2009.45,-135 1126.88,-135 1126.88,-135 1126.88,-135 1126.88,-132.03 1126.88,-132.03"/>
<polygon fill="black" stroke="black" points="1130.38,-132.03 1126.88,-122.03 1123.38,-132.03 1130.38,-132.03"/>
</g>
<!-- StartpageComponent  -->
<g id="node20" class="node">
<title>StartpageComponent </title>
<polygon fill="#fb8072" stroke="black" points="1031.7,-122 894.3,-122 894.3,-86 1031.7,-86 1031.7,-122"/>
<text text-anchor="middle" x="963" y="-99.8" font-family="Times,serif" font-size="14.00">StartpageComponent </text>
</g>
<!-- ProjectModule&#45;&gt;StartpageComponent  -->
<g id="edge19" class="edge">
<title>ProjectModule&#45;&gt;StartpageComponent </title>
<path fill="none" stroke="black" stroke-dasharray="5,2" d="M2001.82,-153.68C2001.82,-145.21 2001.82,-137 2001.82,-137 2001.82,-137 975.88,-137 975.88,-137 975.88,-137 975.88,-132.04 975.88,-132.04"/>
<polygon fill="black" stroke="black" points="979.38,-132.04 975.88,-122.04 972.38,-132.04 979.38,-132.04"/>
</g>
<!-- GameComponent -->
<g id="node6" class="node">
<title>GameComponent</title>
<polygon fill="#ffffb3" stroke="black" points="1908.26,-190 1793.74,-190 1793.74,-154 1908.26,-154 1908.26,-190"/>
<text text-anchor="middle" x="1851" y="-167.8" font-family="Times,serif" font-size="14.00">GameComponent</text>
</g>
<!-- GameComponent&#45;&gt;ProjectModule -->
<g id="edge5" class="edge">
<title>GameComponent&#45;&gt;ProjectModule</title>
<path fill="none" stroke="black" d="M1908.68,-172C1908.68,-172 1938.11,-172 1938.11,-172"/>
<polygon fill="black" stroke="black" points="1938.11,-175.5 1948.11,-172 1938.11,-168.5 1938.11,-175.5"/>
</g>
<!-- HelpComponent -->
<g id="node7" class="node">
<title>HelpComponent</title>
<polygon fill="#ffffb3" stroke="black" points="1775.05,-190 1666.95,-190 1666.95,-154 1775.05,-154 1775.05,-190"/>
<text text-anchor="middle" x="1721" y="-167.8" font-family="Times,serif" font-size="14.00">HelpComponent</text>
</g>
<!-- HelpComponent&#45;&gt;ProjectModule -->
<g id="edge6" class="edge">
<title>HelpComponent&#45;&gt;ProjectModule</title>
<path fill="none" stroke="black" d="M1721,-190.21C1721,-195.55 1721,-200 1721,-200 1721,-200 1973.2,-200 1973.2,-200 1973.2,-200 1973.2,-199.02 1973.2,-199.02"/>
<polygon fill="black" stroke="black" points="1976.7,-200.21 1973.2,-190.21 1969.7,-200.21 1976.7,-200.21"/>
</g>
<!-- LoginComponent -->
<g id="node8" class="node">
<title>LoginComponent</title>
<polygon fill="#ffffb3" stroke="black" points="1648.28,-190 1533.72,-190 1533.72,-154 1648.28,-154 1648.28,-190"/>
<text text-anchor="middle" x="1591" y="-167.8" font-family="Times,serif" font-size="14.00">LoginComponent</text>
</g>
<!-- LoginComponent&#45;&gt;ProjectModule -->
<g id="edge7" class="edge">
<title>LoginComponent&#45;&gt;ProjectModule</title>
<path fill="none" stroke="black" d="M1591,-190.11C1591,-199.9 1591,-210 1591,-210 1591,-210 1998,-210 1998,-210 1998,-210 1998,-200.11 1998,-200.11"/>
<polygon fill="black" stroke="black" points="2001.5,-200.11 1998,-190.11 1994.5,-200.11 2001.5,-200.11"/>
</g>
<!-- LoginvalidatorDirective -->
<g id="node9" class="node">
<title>LoginvalidatorDirective</title>
<polygon fill="#ffffb3" stroke="black" points="1515.79,-190 1364.21,-190 1364.21,-154 1515.79,-154 1515.79,-190"/>
<text text-anchor="middle" x="1440" y="-167.8" font-family="Times,serif" font-size="14.00">LoginvalidatorDirective</text>
</g>
<!-- LoginvalidatorDirective&#45;&gt;ProjectModule -->
<g id="edge8" class="edge">
<title>LoginvalidatorDirective&#45;&gt;ProjectModule</title>
<path fill="none" stroke="black" d="M1510.52,-153.85C1510.52,-152.7 1510.52,-152 1510.52,-152 1510.52,-152 1956.03,-152 1956.03,-152 1956.03,-152 1956.03,-152.18 1956.03,-152.18"/>
<polygon fill="black" stroke="black" points="1952.53,-143.85 1956.03,-153.85 1959.53,-143.85 1952.53,-143.85"/>
</g>
<!-- RankingComponent -->
<g id="node10" class="node">
<title>RankingComponent</title>
<polygon fill="#ffffb3" stroke="black" points="1346.27,-190 1217.73,-190 1217.73,-154 1346.27,-154 1346.27,-190"/>
<text text-anchor="middle" x="1282" y="-167.8" font-family="Times,serif" font-size="14.00">RankingComponent</text>
</g>
<!-- RankingComponent&#45;&gt;ProjectModule -->
<g id="edge10" class="edge">
<title>RankingComponent&#45;&gt;ProjectModule</title>
<path fill="none" stroke="black" d="M1339.26,-153.83C1339.26,-151.55 1339.26,-150 1339.26,-150 1339.26,-150 1963.66,-150 1963.66,-150 1963.66,-150 1963.66,-150.38 1963.66,-150.38"/>
<polygon fill="black" stroke="black" points="1960.16,-143.83 1963.66,-153.83 1967.16,-143.83 1960.16,-143.83"/>
</g>
<!-- RegisterComponent -->
<g id="node11" class="node">
<title>RegisterComponent</title>
<polygon fill="#ffffb3" stroke="black" points="1199.98,-190 1072.02,-190 1072.02,-154 1199.98,-154 1199.98,-190"/>
<text text-anchor="middle" x="1136" y="-167.8" font-family="Times,serif" font-size="14.00">RegisterComponent</text>
</g>
<!-- RegisterComponent&#45;&gt;ProjectModule -->
<g id="edge11" class="edge">
<title>RegisterComponent&#45;&gt;ProjectModule</title>
<path fill="none" stroke="black" d="M1190.8,-153.83C1190.8,-149.95 1190.8,-147 1190.8,-147 1190.8,-147 1971.29,-147 1971.29,-147 1971.29,-147 1971.29,-147.68 1971.29,-147.68"/>
<polygon fill="black" stroke="black" points="1967.79,-143.83 1971.29,-153.83 1974.79,-143.83 1967.79,-143.83"/>
</g>
<!-- StartpageComponent -->
<g id="node12" class="node">
<title>StartpageComponent</title>
<polygon fill="#ffffb3" stroke="black" points="1054.2,-190 919.8,-190 919.8,-154 1054.2,-154 1054.2,-190"/>
<text text-anchor="middle" x="987" y="-167.8" font-family="Times,serif" font-size="14.00">StartpageComponent</text>
</g>
<!-- StartpageComponent&#45;&gt;ProjectModule -->
<g id="edge12" class="edge">
<title>StartpageComponent&#45;&gt;ProjectModule</title>
<path fill="none" stroke="black" d="M1041.05,-153.84C1041.05,-148.96 1041.05,-145 1041.05,-145 1041.05,-145 1978.92,-145 1978.92,-145 1978.92,-145 1978.92,-145.88 1978.92,-145.88"/>
<polygon fill="black" stroke="black" points="1975.42,-143.84 1978.92,-153.84 1982.42,-143.84 1975.42,-143.84"/>
</g>
<!-- { provide: NG_VALIDATORS, useExisting: LoginvalidatorDirective, multi: true } -->
<g id="node13" class="node">
<title>{ provide: NG_VALIDATORS, useExisting: LoginvalidatorDirective, multi: true }</title>
<ellipse fill="#fdb462" stroke="black" cx="358" cy="-104" rx="333.64" ry="18"/>
<text text-anchor="middle" x="358" y="-99.8" font-family="Times,serif" font-size="14.00">{ provide: NG_VALIDATORS, useExisting: LoginvalidatorDirective, multi: true }</text>
</g>
<!-- { provide: NG_VALIDATORS, useExisting: LoginvalidatorDirective, multi: true }&#45;&gt;LoginvalidatorDirective -->
<g id="edge9" class="edge">
<title>{ provide: NG_VALIDATORS, useExisting: LoginvalidatorDirective, multi: true }&#45;&gt;LoginvalidatorDirective</title>
<path fill="none" stroke="black" d="M358,-122.11C358,-131.9 358,-142 358,-142 358,-142 1411.37,-142 1411.37,-142 1411.37,-142 1411.37,-143.86 1411.37,-143.86"/>
<polygon fill="black" stroke="black" points="1407.87,-143.86 1411.37,-153.86 1414.87,-143.86 1407.87,-143.86"/>
</g>
<!-- UserformService -->
<g id="node21" class="node">
<title>UserformService</title>
<ellipse fill="#fdb462" stroke="black" cx="793" cy="-104" rx="76.98" ry="18"/>
<text text-anchor="middle" x="793" y="-99.8" font-family="Times,serif" font-size="14.00">UserformService</text>
</g>
<!-- UserformService&#45;&gt;ProjectModule -->
<g id="edge20" class="edge">
<title>UserformService&#45;&gt;ProjectModule</title>
<path fill="none" stroke="black" d="M793,-122C793,-131 793,-140 793,-140 793,-140 1986.55,-140 1986.55,-140 1986.55,-140 1986.55,-143.76 1986.55,-143.76"/>
<polygon fill="black" stroke="black" points="1983.05,-143.76 1986.55,-153.76 1990.05,-143.76 1983.05,-143.76"/>
</g>
</g>
</svg>

    </div>
    <i id="fullscreen" class="icon ion-ios-resize module-graph-fullscreen-btn" aria-hidden="true"></i>
    <div class="btn-group size-buttons">
        <button id="zoom-in" class="btn btn-default btn-sm">Zoom in</button>
        <button id="reset" class="btn btn-default btn-sm">Reset</button>
        <button id="zoom-out" class="btn btn-default btn-sm">Zoom out</button>
    </div>
</div>
  
<div class="tab-content overview">
    <div class="row">
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-ios-archive"></span></h4>
                    <p class="card-text">
                        <a href="./modules.html">3 Modules</a>
                    </p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-md-cog"></span></h4>
                    <p class="card-text">7 Components</p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-md-code-working"></span></h4>
                    <p class="card-text">1 Directive</p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-md-arrow-round-down"></span></h4>
                    <p class="card-text">2 Injectables</p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-ios-paper"></span></h4>
                    <p class="card-text">1 Class</p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-ios-git-branch"></span></h4>
                    <p class="card-text">
                        <a href="./routes.html">6 Routes</a>
                    </p>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="js/libs/svg-pan-zoom.min.js"></script>
<script src="js/svg-pan-zoom.controls.js"></script> 


















                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> results matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

          <label class="dark-mode-switch">
               <input type="checkbox">
               <span class="slider">
                    <svg class="slider-icon" viewBox="0 0 24 24" fill="none" height="20" stroke="#000" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" width="20" xmlns="http://www.w3.org/2000/svg">
                    <path d="M21 12.79A9 9 0 1111.21 3 7 7 0 0021 12.79z"></path>
                    </svg>
               </span>
          </label>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 0;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'overview';
            var COMPODOC_CURRENT_PAGE_URL = 'overview.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script>
               $darkModeToggleSwitchers = document.querySelectorAll('.dark-mode-switch input');
               checkToggle(darkModeState);
               if ($darkModeToggleSwitchers.length > 0) {
                    for (var i = 0; i < $darkModeToggleSwitchers.length; i++) {
                         $darkModeToggleSwitchers[i].addEventListener('change', function (event) {
                              darkModeState = !darkModeState;
                              toggleDarkMode(darkModeState);
                         });
                    }
               }
          </script>

       <script src="./js/libs/custom-elements.min.js"></script>
       <script src="./js/libs/lit-html.js"></script>

       <script src="./js/menu-wc.js" defer></script>
       <script nomodule src="./js/menu-wc_es5.js" defer></script>

       <script src="./js/libs/bootstrap-native.js"></script>

       <script src="./js/libs/es6-shim.min.js"></script>
       <script src="./js/libs/EventDispatcher.js"></script>
       <script src="./js/libs/promise.min.js"></script>
       <script src="./js/libs/zepto.min.js"></script>

       <script src="./js/compodoc.js"></script>

       <script src="./js/tabs.js"></script>
       <script src="./js/menu.js"></script>
       <script src="./js/libs/clipboard.min.js"></script>
       <script src="./js/libs/prism.js"></script>
       <script src="./js/sourceCode.js"></script>
          <script src="./js/search/search.js"></script>
          <script src="./js/search/lunr.min.js"></script>
          <script src="./js/search/search-lunr.js"></script>
          <script src="./js/search/search_index.js"></script>
       <script src="./js/lazy-load-graphs.js"></script>


    </body>
</html>
